Click or drag to resize

NurbsCurveCreateParabolaFromVertex Method

Createsa a parabola from vertex and end points.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static NurbsCurve CreateParabolaFromVertex(
	Point3d vertex,
	Point3d startPoint,
	Point3d endPoint
)

Parameters

vertex
Type: Rhino.GeometryPoint3d
The vertex point.
startPoint
Type: Rhino.GeometryPoint3d
The start point.
endPoint
Type: Rhino.GeometryPoint3d
The end point

Return Value

Type: NurbsCurve
A 2 degree NURBS curve if successful, false otherwise.
Version Information

Rhino for Windows

Supported in: 6.2
See Also